List browser preview grants
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/preview-urls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/preview-urls \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"machine_id": "<string>",
"port": 123,
"token_kinds": [],
"principal_kind": "user",
"issued_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"use_count": 123,
"http_request_count": 123,
"websocket_connection_count": 123,
"bytes_in_count": 123,
"bytes_out_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"principal_id": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"first_used_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"last_error_code": "<string>",
"last_error_at": "2023-11-07T05:31:56Z",
"disabled_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Machines
List browser preview grants
GET
/
v1
/
machines
/
{id}
/
preview-urls
List browser preview grants
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/preview-urls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/preview-urls \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"machine_id": "<string>",
"port": 123,
"token_kinds": [],
"principal_kind": "user",
"issued_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"use_count": 123,
"http_request_count": 123,
"websocket_connection_count": 123,
"bytes_in_count": 123,
"bytes_out_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"principal_id": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"first_used_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"last_error_code": "<string>",
"last_error_at": "2023-11-07T05:31:56Z",
"disabled_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Authorizations
API key passed as Bearer token
Path Parameters
Machine ID (e.g. mch_a1b2c3d4)
Query Parameters
Optional machine guest port filter for preview grant inventory.
Required range:
1 <= x <= 65535Response
Preview grant inventory for the machine
Show child attributes
Show child attributes
⌘I